OCC Main Page | ApplicationFramework | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# ApplicationFramework
TKXmlL
XmlMDF

# XmlMDF_ADriverTable Class Reference

A driver table is an object building links between
object types and object drivers. In the
translation process, a driver table is asked to
give a translation driver for each current object
to be translated.
.

`#include <XmlMDF_ADriverTable.hxx>`

## Public Member Functions
Standard_EXPORT | XmlMDF_ADriverTable ()
| Creates a mutable ADriverTable from XmlMDF. .
Standard_EXPORT void | AddDriver (const Handle(XmlMDF_ADriver)&anHDriver)
| Sets a translation driver: <adriver>. .
Standard_EXPORT const XmlMDF_TypeADriverMap & | GetDrivers () const
| Gets a map of drivers. .
Standard_EXPORT Standard_Boolean | GetDriver (const Handle(Standard_Type)&aType, Handle(XmlMDF_ADriver)&anHDriver) const
| Gets a driver <adriver> according to <atype> Returns True if a driver is found; false otherwise. .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
XmlMDF_TypeADriverMap | myMap

## Constructor & Destructor Documentation

Standard_EXPORT XmlMDF_ADriverTable::XmlMDF_ADriverTable | ( |  | ) |

## Member Function Documentation

Standard_EXPORT void XmlMDF_ADriverTable::AddDriver | ( | const Handle(XmlMDF_ADriver)& | anHDriver | ) |

Standard_EXPORT Standard_Boolean XmlMDF_ADriverTable::GetDriver | ( | const Handle(Standard_Type)& | aType,
|  | Handle(XmlMDF_ADriver)& | anHDriver
| ) | const

Standard_EXPORT const XmlMDF_TypeADriverMap& XmlMDF_ADriverTable::GetDrivers | ( |  | ) | const

Standard_EXPORT const XmlMDF_ADriverTable::Handle | ( | Standard_Type |  | ) | const

## Field Documentation

XmlMDF_TypeADriverMap XmlMDF_ADriverTable::myMap`[private]`

The documentation for this class was generated from the following file:

- XmlMDF_ADriverTable.hxx